## axis 1.4

=== debian/changelog ===
axis (1.4-28) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #911187)
  * Fixed CVE-2018-8032: Cross-site scripting (XSS) attack in the default
    servlet/services (Closes: #905328)
  * Fixed the generation of the javadoc
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Dec 2018 08:25:51 +0100

axis (1.4-27) unstable; urgency=medium

  * Team upload.
  * Install the jar files in /usr/share/java (Closes: #901058)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jun 2018 23:22:28 +0200

axis (1.4-26) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Fix FTBFS with Java 9. (Closes: #893098)

  [ Emmanuel Bourg ]
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889464)
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Jun 2018 13:58:57 +0200

axis (1.4-25) unstable; urgency=medium

  * Fixed the build failure with Ant 1.9.8 (Closes: #851030)
  * Moved the package to Git
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Jan 2017 18:28:23 +0100

axis (1.4-24) unstable; urgency=medium

  * Team upload.
  * Restored the missing Export-Package attributes

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Jan 2016 22:33:32 +0100

axis (1.4-23) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Vcs-Browser: Use https.
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 16:53:49 +0100

axis (1.4-22) unstable; urgency=medium

  * Updated the dependency on the Servlet API (3.0 -> 3.1)
  * libaxis-java no longer depends on the Servlet API since it's always
    provided by the web container executing Axis.
  * Replaced the dependency on libgnumail-java with libmail-java

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 17 Oct 2014 13:23:45 +0200

axis (1.4-21) unstable; urgency=high

  * Team upload.
  * Fix CVE-2014-3596.
    - Replace 06-fix-CVE-2012-5784.patch with CVE-2014-3596.patch which fixes
      both CVE issues. Thanks to Raphael Hertzog for the report.
    - The getCN function in Apache Axis 1.4 and earlier does not properly
      verify that the server hostname matches a domain name in the subject's
      Common Name (CN) or subjectAltName field of the X.509 certificate,
      which allows man-in-the-middle attackers to spoof SSL servers via a
      certificate with a subject that specifies a common name in a field
      that is not the CN field.  NOTE: this issue exists because of an
      incomplete fix for CVE-2012-5784.
    - (Closes: #762444)
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >=9.
  * Use canonical VCS fields.

 -- Markus Koschany <apo@gambaru.de>  Thu, 25 Sep 2014 19:45:08 +0000

axis (1.4-20) unstable; urgency=low

  * Updated the dependency on the Servlet API (2.5 -> 3.0)
  * Removed the obsolete dependency on the Activation Framework (libgnujaf-java)
  * Added the upstream changelog
  * debian/rules: Improved the clean target to allow rebuilds

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 15 May 2013 00:56:15 +0200

axis (1.4-19) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Mon, 13 May 2013 22:00:05 -0700

axis (1.4-18) experimental; urgency=low

  * Team upload.
  * debian/watch: Fixed the URL
  * debian/control: Add Emmanuel Bourg to list of Uploaders.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Apr 2013 17:02:15 +0200

axis (1.4-17) experimental; urgency=low

  * Team upload.

  [ Jakub Adam ]
  * Use bnd to generate OSGi metadata.
  * Remove Michael Koch from Uploaders (Closes: #653992).
    - Thanks for your contribution to this package.
  * Bump Standards-Version to 3.9.4.

  [ tony mancill ]
  * Acknowledge NMU:  Thank you to Alberto Fernández Martínez.
    - Fix CVE-2012-5784 (Closes: #692650)
  * Update d/copyright to add lintian warnings.

 -- tony mancill <tmancill@debian.org>  Mon, 04 Feb 2013 22:14:27 -0800

axis (1.4-16.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix CVE-2012-5784 (Closes: #692650)
  * Fix CN extraction from DN of X500 principal.
  * Fix wildcard validation on ssl connections

 -- Alberto Fernández Martínez <infjaf@gmail.com>  Thu, 6 Dec 2012 14:28:00 +0100

axis (1.4-16.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix CVE-2012-5784 (Closes: #692650)

 -- Alberto Fernández Martínez <infjaf@gmail.com>  Wed, 5 Dec 2012 17:28:00 +0100

axis (1.4-16) unstable; urgency=low

  * Add missing dependency on libcommons-httpclient-java
  * Update Export-Package OSGi attribute in manifest
  * Add Require-Bundle OSGi attributes

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 31 Oct 2011 11:07:24 +0100

axis (1.4-15) unstable; urgency=low

  * Add OSGi metadata to jar manifests
  * Bump to Standards-Version 3.9.2
  * Updated the DEP-5 copyright to r202

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 27 Oct 2011 19:23:14 +0200

axis (1.4-14) unstable; urgency=low

  * Team upload.
  * Drop package libaxis-java-gcj.

 -- Torsten Werner <twerner@debian.org>  Thu, 08 Sep 2011 17:13:34 +0200

axis (1.4-13) unstable; urgency=low

  [ tony mancill ]
  * libaxis-java-gcj:  Remove incorrect libservlet2.4 depedency;
    the dependency on libaxis-java is sufficient.
    Thanks to Matthias Klose. (Closes: #597950)

  [ Damien Raude-Morvan ]
  * d/control: Bump Standards-Versions to 3.9.1 (no changes required).
  * d/control: Change short synopsis of packages.
  * Finaly upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 06 Mar 2011 19:08:04 +0100

axis (1.4-12) unstable; urgency=low

  [ Niels Thykier ]
  * Bumped Standards-Versions to 3.9.0 - no changes required.
  * Replaced B-D on default-jdk-builddep with gcj-native-helper
    and default-jdk.


