=== debian/control ===
Source: axis
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Jakub Adam <jakub.adam@ktknet.cz>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant-optional,
 bnd (>= 2.1.0),
 debhelper (>= 11~),
 default-jdk,
 libcommons-discovery-java,
 libcommons-httpclient-java,
 libcommons-logging-java,
 libmail-java,
 libservlet3.1-java,
 libwsdl4j-java,
 maven-repo-helper
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/axis.git
Vcs-Browser: https://salsa.debian.org/java-team/axis
Homepage: http://ws.apache.org/axis/

Package: libaxis-java
Architecture: all
Recommends:
 ant
Suggests:
 libaxis-java-doc
Depends:
 libcommons-discovery-java,
 libcommons-httpclient-java,
 libcommons-logging-java,
 libmail-java,
 libwsdl4j-java,
 ${misc:Depends}
Description: SOAP implementation in Java
 Apache AXIS is an implementation of the SOAP ("Simple Object Access Protocol")
 submission to W3C.
 .
 From the draft W3C specification:
 .
 SOAP is a lightweight protocol for exchange of information in a decentralized,
 distributed environment. It is an XML based protocol that consists of three
 parts: an envelope that defines a framework for describing what is in a message
 and how to process it, a set of encoding rules for expressing instances of
 application-defined datatypes, and a convention for representing remote
 procedure calls and responses.
 .
 This project is a follow-on to the Apache SOAP project.

Package: libaxis-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Suggests:
 libaxis-java
Description: SOAP implementation in Java (documentation)
 Apache AXIS is an implementation of the SOAP ("Simple Object Access Protocol")
 submission to W3C.
 .
 From the draft W3C specification:
 .
 SOAP is a lightweight protocol for exchange of information in a decentralized,
 distributed environment. It is an XML based protocol that consists of three
 parts: an envelope that defines a framework for describing what is in a message
 and how to process it, a set of encoding rules for expressing instances of
 application-defined datatypes, and a convention for representing remote
 procedure calls and responses.
 .
 This project is a follow-on to the Apache SOAP project.
 .
 This package contains the Javadoc API documentation.
