=== debian/rules ===
#!/usr/bin/make -f

export CLASSPATH=/usr/share/java/commons-logging.jar    \
                :/usr/share/java/commons-discovery.jar  \
                :/usr/share/java/commons-httpclient.jar \
                :/usr/share/java/javax.mail.jar         \
                :/usr/share/java/servlet-api-3.1.jar    \
                :/usr/share/java/wsdl4j.jar             \
                :/usr/share/java/xmlParserAPIs.jar      \
                :/usr/share/java/xercesImpl.jar

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- -Dcompile.debug=true compile javadocs -debug
	mv build/javadocs build/api

	mkdir -p build/bnd/
	for BNDFILE in debian/bnd/*.bnd; do \
		JARPATH=build/lib/`basename $$BNDFILE .bnd`.jar; \
		bnd wrap --properties $$BNDFILE --output build/bnd/`basename $$BNDFILE .bnd`.jar $$JARPATH; \
	done
