=== debian/watch ===
version=3
opts=uversionmangle=s/_/./ \
https://archive.apache.org/dist/ws/axis/1_4/ axis-src-(.*).tar.gz
